%--------------------------------------------------------------------------
% File     : BOO005-2 : TPTP v3.0.1. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : Addition is bounded (X + 1 = 1)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob3_part1.ver2.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses     :   15 (   0 non-Horn;  15 unit;   1 RR)
%            Number of atoms       :   15 (  15 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   24 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause prove_a_plus_1_is_a fixed.
%--------------------------------------------------------------------------
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
cnf(prove_a_plus_1_is_a,negated_conjecture,
    (  add(a,multiplicative_identity) != multiplicative_identity )).

%--------------------------------------------------------------------------
