%--------------------------------------------------------------------------
% File     : CAT013-3 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : domain(codomain(x)) = codomain(x)
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p13.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   19 (   2 non-Horn;   5 unit;  14 RR)
%            Number of atoms       :   39 (  16 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :   31 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
%--------------------------------------------------------------------------
cnf(assume_codomain_exists,hypothesis,
    ( there_exists(codomain(a)) )).

cnf(prove_domain_of_codomain_is_codomain,negated_conjecture,
    (  domain(codomain(a)) != codomain(a) )).

%--------------------------------------------------------------------------
