%--------------------------------------------------------------------------
% File     : CAT014-4 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : codomain(codomain(x)) = codomain(x)
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.22 v2.7.0, 0.17 v2.6.0, 0.43 v2.5.0, 0.20 v2.4.0, 0.17 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   5 unit;  10 RR)
%            Number of atoms       :   23 (   8 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   1 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
%--------------------------------------------------------------------------
cnf(assume_codomain_exists,hypothesis,
    ( there_exists(codomain(a)) )).

cnf(prove_codomain_is_idempotent,negated_conjecture,
    (  codomain(codomain(a)) != codomain(a) )).

%--------------------------------------------------------------------------
