%--------------------------------------------------------------------------
% File     : COL077-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst Abst Abst Abst Abst Abst = Id
% Version  : [Jec95] (equality) axioms.
% English  : 

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [Jec95]
% Names    : Proposition 1a [Jec95]

% Status   : Unsatisfiable
% Rating   : 0.40 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.25 v2.4.0, 0.25 v2.2.1, 0.50 v2.2.0, 0.25 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   12 (   1 non-Horn;  10 unit;   3 RR)
%            Number of atoms       :   14 (  14 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   5 constant; 0-2 arity)
%            Number of variables   :   19 (   3 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of Type-respecting combinators 
include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
cnf(identity_definition,axiom,
    ( apply(identity,X) = X )).

cnf(prove_TRC1a,negated_conjecture,
    (  apply(apply(apply(apply(apply(abstraction,abstraction),abstraction),abstraction),abstraction),abstraction) != identity )).

%--------------------------------------------------------------------------
