%--------------------------------------------------------------------------
% File     : GRP468-1 : TPTP v3.0.1. Released v2.6.0.
% Domain   : Group Theory
% Problem  : Axiom for group theory, in division and inverse, part 3
% Version  : [McC93] (equality) axioms.
% English  : 

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :    6 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : A UEQ part of GRP070-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(divide(A,A),divide(B,divide(divide(C,divide(D,B)),inverse(D)))) = C )).

cnf(multiply,axiom,
    ( multiply(A,B) = divide(A,inverse(B)) )).

cnf(prove_these_axioms_3,negated_conjecture,
    (  multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
