%--------------------------------------------------------------------------
% File     : HWV010-1 : TPTP v3.0.1. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Safelogic VHDL design verification obligation
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.18 v2.7.0, 0.08 v2.6.0, 0.12 v2.5.0
% Syntax   : Number of clauses     :   92 (  65 non-Horn;   6 unit;  83 RR)
%            Number of atoms       :  373 (  52 equality)
%            Maximal clause size   :    7 (   4 average)
%            Number of predicates  :   13 (   0 propositional; 1-3 arity)
%            Number of functors    :   11 (   4 constant; 0-2 arity)
%            Number of variables   :  139 (   5 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality
%----Include VHDL design axioms
include('Axioms/HWV003-0.ax').
%--------------------------------------------------------------------------
cnf(quest_1,negated_conjecture,
    ( ~ p_Empty(t_139)
    | level(t_139) != n0 )).

cnf(quest_2,negated_conjecture,
    ( p_Empty(t_139)
    | level(t_139) = n0 )).

%--------------------------------------------------------------------------
