%--------------------------------------------------------------------------
% File     : LCL408-1 : TPTP v3.0.1. Released v2.5.0.
% Domain   : Logic Calculi (Wajsberg Algebras)
% Problem  : Wajsberg algebra lattice structure definitions
% Version  : [Bon91] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   6 unit;   2 RR)
%            Number of atoms       :   10 (   8 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :   16 (   0 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Wajsberg algebra axioms
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure definitions
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
