%--------------------------------------------------------------------------
% File     : LCL410-1 : TPTP v3.0.1. Released v2.5.0.
% Domain   : Logic Calculi (Wajsberg Algebras)
% Problem  : Alternative Wajsberg algebra definitions
% Version  : [AB90] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses     :   20 (   0 non-Horn;  20 unit;   1 RR)
%            Number of atoms       :   20 (  20 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   2 constant; 0-2 arity)
%            Number of variables   :   35 (   1 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Alternative Wajsberg algebra axioms
include('Axioms/LCL002-0.ax').
%----Include Wajsberg algebra AND and OR definitions
include('Axioms/LCL001-2.ax').
%----Include Alternative Wajsberg algebra definitions
include('Axioms/LCL002-1.ax').
%--------------------------------------------------------------------------
