%--------------------------------------------------------------------------
% File     : RNG025-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle or Flexible Law
% Version  : [AH90] (equality) axioms.
% English  : 

% Refs     : [AH90]  Anantharaman & Hsiang (1990), Automated Proofs of the 
% Source   : [AH90]
% Names    : PROOF I [AH90]

% Status   : Unsatisfiable
% Rating   : 0.40 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.50 v2.4.0, 0.50 v2.3.0, 0.75 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  16 unit;   4 RR)
%            Number of atoms       :   20 (  20 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   32 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Ring theory (equality) axioms 
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_middle_law,negated_conjecture,
    (  multiply(multiply(cy,cx),cy) != multiply(cy,multiply(cx,cy)) )).

%--------------------------------------------------------------------------
