%--------------------------------------------------------------------------
% File     : SET070-6 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Proper class in an unordered pair, part 4
% Version  : [Qua92] axioms.
% English  : If one argument of an unordered pair is a proper class, the 
%            pair contains only the other.

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.91 v2.7.0, 0.92 v2.6.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   93 (   8 non-Horn;  31 unit;  64 RR)
%            Number of atoms       :  183 (  40 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   10 (   0 propositional; 1-3 arity)
%            Number of functors    :   40 (  10 constant; 0-3 arity)
%            Number of variables   :  176 (  25 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_unordered_pair_equals_singleton2_1,negated_conjecture,
    ( ~ member(x,universal_class) )).

cnf(prove_unordered_pair_equals_singleton2_2,negated_conjecture,
    (  unordered_pair(x,y) != singleton(y) )).

%--------------------------------------------------------------------------
