%--------------------------------------------------------------------------
% File     : SYN083+1 : TPTP v3.0.1. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 61
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 61 [Pel86]

% Status   : Theorem
% Rating   : 0.11 v2.7.0, 0.17 v2.6.0, 0.14 v2.5.0, 0.00 v2.1.0
% Syntax   : Number of formulae    :    2 (   2 unit)
%            Number of atoms       :    2 (   2 equality)
%            Maximal formula depth :    5 (   4 average)
%            Number of connectives :    0 (   0 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :    7 (   0 singleton;   7 !;   0 ?)
%            Maximal term depth    :    4 (   4 average)

% Comments : 
%--------------------------------------------------------------------------
%----Problem axioms
fof(p61_1,axiom,
    ( ! [X,Y,Z] : f(X,f(Y,Z)) = f(f(X,Y),Z) )).

fof(pel61,conjecture,
    ( ! [X,Y,Z,W] : f(X,f(Y,f(Z,W))) = f(f(f(X,Y),Z),W) )).

%--------------------------------------------------------------------------
