%--------------------------------------------------------------------------
% File     : SYN313-1.001.002 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Especial.
% English  :

% Refs     : [Fer94] Fermueller (1994), Email to G. Sutcliffe
% Source   : [Fer94]
% Names    : - [Fer94]

% Status   : Unsatisfiable
% Rating   : 0.17 v2.7.0, 0.25 v2.6.0, 0.00 v2.5.0, 0.20 v2.4.0, 0.00 v2.1.0
% Syntax   : Number of clauses     :    2 (   1 non-Horn;   0 unit;   1 RR)
%            Number of atoms       :    5 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    8 (   1 constant; 0-1 arity)
%            Number of variables   :    6 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : [Fer94] claims that this is "out of range for any prover if
%            n,m>4 or so" (n,m being the two size parameters).
%          : tptp2X: -f tptp -s1:2 SYN313-1.g 
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ p(X0,f0(X0),X1)
    | ~ p(X0,f1(X1),X2) )).

cnf(clause2,negated_conjecture,
    ( p(h0,Y0,j0(Y2))
    | p(h1(Y0),Y1,j1(Y2))
    | p(h2(Y1),Y2,j2(Y2)) )).

%--------------------------------------------------------------------------
