%--------------------------------------------------------------------------
% File     : SYN342-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (7)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch15N7 [Tam94]

% Status   : Satisfiable
% Rating   : 0.00 v2.5.0, 0.17 v2.4.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   0 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    2 (   1 constant; 0-1 arity)
%            Number of variables   :    2 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( f(a,Y2,y3(Y2)) )).

cnf(clause2,negated_conjecture,
    ( ~ f(Y4,Y4,a) )).

%--------------------------------------------------------------------------
