%--------------------------------------------------------------------------
% File     : SYN344-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (3)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch16N3 [Tam94]

% Status   : Satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.17 v2.4.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    5 (   2 non-Horn;   0 unit;   2 RR)
%            Number of atoms       :   10 (   0 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   1 constant; 0-2 arity)
%            Number of variables   :    9 (   6 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( f(a,z(Y1,Y2))
    | f(a,a) )).

cnf(clause2,negated_conjecture,
    ( f(Y1,z(Y1,Y2))
    | f(a,a) )).

cnf(clause3,negated_conjecture,
    ( ~ f(Y2,a)
    | f(a,a) )).

cnf(clause4,negated_conjecture,
    ( ~ f(a,a)
    | f(Y1,Y2) )).

cnf(clause5,negated_conjecture,
    ( ~ f(a,a)
    | ~ f(z(Y1,Y2),z(Y1,Y2)) )).

%--------------------------------------------------------------------------
