%--------------------------------------------------------------------------
% File     : FLD047-2 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 1
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses     :   39 (   3 non-Horn;  15 unit;  39 RR)
%            Number of atoms       :   85 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :   12 (   8 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(c_is_defined,hypothesis,
    ( defined(c) )).

cnf(u_is_defined,hypothesis,
    ( defined(u) )).

cnf(s_is_defined,hypothesis,
    ( defined(s) )).

cnf(t_is_defined,hypothesis,
    ( defined(t) )).

cnf(b_not_equal_to_additive_identity_7,negated_conjecture,
    ( ~ equalish(b,additive_identity) )).

cnf(c_not_equal_to_additive_identity_8,negated_conjecture,
    ( ~ equalish(c,additive_identity) )).

cnf(multiply_equals_u_9,negated_conjecture,
    ( equalish(multiply(a,multiplicative_inverse(b)),u) )).

cnf(multiply_equals_s_10,negated_conjecture,
    ( equalish(multiply(a,c),s) )).

cnf(multiply_equals_t_11,negated_conjecture,
    ( equalish(multiply(b,c),t) )).

cnf(multiply_not_equal_to_u_12,negated_conjecture,
    ( ~ equalish(multiply(s,multiplicative_inverse(t)),u) )).

%--------------------------------------------------------------------------
