%--------------------------------------------------------------------------
% File     : FLD050-4 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 4
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.17 v2.7.0, 0.25 v2.6.0, 0.67 v2.5.0, 0.20 v2.4.0, 0.60 v2.3.0, 0.67 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :   38 (   3 non-Horn;  15 unit;  38 RR)
%            Number of atoms       :   89 (   0 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :   12 (   8 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(c_is_defined,hypothesis,
    ( defined(c) )).

cnf(d_is_defined,hypothesis,
    ( defined(d) )).

cnf(k_is_defined,hypothesis,
    ( defined(k) )).

cnf(s_is_defined,hypothesis,
    ( defined(s) )).

cnf(not_sum_7,negated_conjecture,
    ( ~ sum(additive_identity,b,additive_identity) )).

cnf(not_sum_8,negated_conjecture,
    ( ~ sum(additive_identity,d,additive_identity) )).

cnf(product_9,negated_conjecture,
    ( product(a,multiplicative_inverse(b),s) )).

cnf(product_10,negated_conjecture,
    ( product(a,d,k) )).

cnf(product_11,negated_conjecture,
    ( product(b,c,k) )).

cnf(not_product_12,negated_conjecture,
    ( ~ product(c,multiplicative_inverse(d),s) )).

%--------------------------------------------------------------------------
