%--------------------------------------------------------------------------
% File     : GEO060-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Reflection is an involution
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : R6 [Qua89]

% Status   : Unsatisfiable
% Rating   : 0.73 v2.7.0, 0.83 v2.6.0, 0.70 v2.5.0, 0.67 v2.4.0, 0.78 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses     :   20 (   5 non-Horn;   8 unit;  16 RR)
%            Number of atoms       :   58 (   9 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   5 constant; 0-6 arity)
%            Number of variables   :   73 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include definition of reflection 
include('Axioms/GEO002-2.ax').
%--------------------------------------------------------------------------
cnf(prove__involution,negated_conjecture,
    (  u != reflection(reflection(u,v),v) )).

%--------------------------------------------------------------------------
