%--------------------------------------------------------------------------
% File     : GRP007-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The identity element is unique
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 3 [Wos65]
%          : wos3 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   8 unit;   4 RR)
%            Number of atoms       :   19 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   24 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group axioms 
include('Axioms/GRP003-0.ax').
%--------------------------------------------------------------------------
cnf(another_left_identity,hypothesis,
    ( product(c,A,A) )).

cnf(another_right_identity,hypothesis,
    ( product(A,c,A) )).

cnf(prove_identity_equals_c,negated_conjecture,
    (  identity != c )).

%--------------------------------------------------------------------------
