%--------------------------------------------------------------------------
% File     : HEN005-5 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : The relation less_equal is transitive
% Version  : [MOW76] (equality) axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp5.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   7 unit;   4 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :    9 (   3 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
cnf(a_divide_b_is_zero,hypothesis,
    ( divide(a,b) = zero )).

cnf(b_divide_c_is_zero,hypothesis,
    ( divide(b,c) = zero )).

cnf(prove_transitivity_of_divide_to_zero,negated_conjecture,
    (  divide(a,c) != zero )).

%--------------------------------------------------------------------------
