%--------------------------------------------------------------------------
% File     : HEN007-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => Z/Y <= Z/X
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.20 v2.4.0, 0.17 v2.2.1, 0.44 v2.2.0, 0.57 v2.1.0, 0.80 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   7 unit;  10 RR)
%            Number of atoms       :   25 (   2 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   7 constant; 0-2 arity)
%            Number of variables   :   25 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
cnf(xLEy,hypothesis,
    ( less_equal(x,y) )).

cnf(zQy,hypothesis,
    ( quotient(z,y,zQy) )).

cnf(zQx,hypothesis,
    ( quotient(z,x,zQx) )).

cnf(prove_zQyLEzQx,negated_conjecture,
    ( ~ less_equal(zQy,zQx) )).

%--------------------------------------------------------------------------
