%--------------------------------------------------------------------------
% File     : KRS004-1 : TPTP v3.0.1. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 1d
% Version  : Especial.
% English  : c exists.

% Refs     : [PP95]  Paramasivam & Plaisted (1995), Automated Deduction Tec
% Source   : [PP95]
% Names    : Problem 1(d) [PP95]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   1 unit;   4 RR)
%            Number of atoms       :    7 (   0 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 1-1 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :    3 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(clause_1,negated_conjecture,
    ( c(exist) )).

cnf(clause_2,axiom,
    ( d(X1)
    | ~ c(X1) )).

cnf(clause_3,axiom,
    ( ~ c(X1)
    | ~ d(X1) )).

cnf(clause_4,axiom,
    ( ~ d(X1)
    | ~ c(X1) )).

%--------------------------------------------------------------------------
