%--------------------------------------------------------------------------
% File     : LCL248-3 : TPTP v3.0.1. Released v2.3.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 3.4
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : Problem 3.4 [WR27]

% Status   : Unsatisfiable
% Rating   : 0.33 v2.7.0, 0.17 v2.6.0, 0.43 v2.5.0, 0.00 v2.3.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;   8 unit;   3 RR)
%            Number of atoms       :   13 (   2 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   18 (   1 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of propositional logic 
include('Axioms/LCL004-0.ax').
include('Axioms/LCL004-1.ax').
%--------------------------------------------------------------------------
cnf(prove_this,negated_conjecture,
    ( ~ theorem(implies(and(p,q),implies(p,q))) )).

%--------------------------------------------------------------------------
