%--------------------------------------------------------------------------
% File     : SYN311-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Especial.
% English  : 

% Refs     : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [FL+93]
% Names    : H2 [FL+93]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0, 0.25 v2.6.0, 0.14 v2.5.0, 0.43 v2.4.0, 0.29 v2.3.0, 0.14 v2.2.1, 0.17 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   2 unit;   6 RR)
%            Number of atoms       :   10 (   0 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 4-4 arity)
%            Number of functors    :    6 (   4 constant; 0-1 arity)
%            Number of variables   :   16 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : This set belongs to the class PVD [FL+93] p.192.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( p(X3,X,X1,X2)
    | ~ p(X,X1,X2,X3) )).

cnf(clause2,negated_conjecture,
    ( p(X3,X2,X1,X)
    | ~ p(X,X1,X2,X3) )).

cnf(clause3,negated_conjecture,
    ( p(X,X1,X2,g(X3))
    | ~ p(X,X1,X2,X3) )).

cnf(clause4,negated_conjecture,
    ( p(f(X),X1,X2,X3)
    | ~ p(X,X1,X2,X3) )).

cnf(clause5,negated_conjecture,
    ( p(a,b,c,d) )).

cnf(clause6,negated_conjecture,
    ( ~ p(f(g(d)),f(g(c)),f(g(b)),f(g(a))) )).

%--------------------------------------------------------------------------
